Loading...
Searching...
No Matches
pcl::poisson::MapReduceVector< T2 > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/sparse_matrix.h>`

## Public Member Functions

| MapReduceVector (void)
| ~MapReduceVector (void)
T2 * | operator[] (int t)
const T2 * | operator[] (int t) const
int | threads (void) const
void | resize (int threads, int dim)

## Public Attributes

std::vector< T2 * > | out

## Detailed Description

template<class T2>
struct pcl::poisson::MapReduceVector< T2 >

Definition at line 116 of file sparse_matrix.h.

## Constructor & Destructor Documentation

## MapReduceVector()

template<class T2 >

pcl::poisson::MapReduceVector< T2 >::MapReduceVector | ( | void |  | ) |

inline

Definition at line 122 of file sparse_matrix.h.

## ~MapReduceVector()

template<class T2 >

pcl::poisson::MapReduceVector< T2 >::~MapReduceVector | ( | void |  | ) |

inline

Definition at line 123 of file sparse_matrix.h.

References pcl::poisson::MapReduceVector< T2 >::out.

## Member Function Documentation

## operator[]() [1/2]

template<class T2 >

T2 * pcl::poisson::MapReduceVector< T2 >::operator[] | ( | int | t | ) |

inline

Definition at line 128 of file sparse_matrix.h.

References pcl::poisson::MapReduceVector< T2 >::out.

## operator[]() [2/2]

template<class T2 >

const T2 * pcl::poisson::MapReduceVector< T2 >::operator[] | ( | int | t | ) | const

inline

Definition at line 129 of file sparse_matrix.h.

References pcl::poisson::MapReduceVector< T2 >::out.

## resize()

template<class T2 >

void pcl::poisson::MapReduceVector< T2 >::resize | ( | int | threads,
|  | int | dim
| ) |  |

inline

Definition at line 131 of file sparse_matrix.h.

References pcl::poisson::MapReduceVector< T2 >::out, and pcl::poisson::MapReduceVector< T2 >::threads().

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::Solve().

## threads()

template<class T2 >

int pcl::poisson::MapReduceVector< T2 >::threads | ( | void |  | ) | const

inline

Definition at line 130 of file sparse_matrix.h.

References pcl::poisson::MapReduceVector< T2 >::out.

Referenced by pcl::poisson::SparseSymmetricMatrix< T >::Multiply(), pcl::poisson::MapReduceVector< T2 >::resize(), and pcl::poisson::SparseSymmetricMatrix< T >::Solve().

## Member Data Documentation

## out

template<class T2 >

std::vector< T2* > pcl::poisson::MapReduceVector< T2 >::out

Definition at line 121 of file sparse_matrix.h.

Referenced by pcl::poisson::MapReduceVector< T2 >::operator[](), pcl::poisson::MapReduceVector< T2 >::operator[](), pcl::poisson::MapReduceVector< T2 >::resize(), pcl::poisson::MapReduceVector< T2 >::threads(), and pcl::poisson::MapReduceVector< T2 >::~MapReduceVector().

The documentation for this struct was generated from the following file:

- pcl/surface/3rdparty/poisson4/sparse_matrix.h